QGIS Application - Bug report #18742

[Layout] In multisize pages layout, exporting to PDF does not behave correctly when first page is
excluded

2018-04-17 06:56 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:3.3(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26629
Description

Create a 2 pages layout (first page A4, the other A3)
Add items on them
Export the layout to PDF: you get a PDF with two different sizes of page. Great
In the first page properties, check "Exclude page from exports"
Now export to PDF: you get only the second page but it's cropped to an A4 extent.
Testing further, | inserted a page between the existing ones (still keeping the first page unexportable):
1. Set the new page as A4 and made the export: | got the two pages with right sizes (first with A4, second with A3). good
2. Resized that second page to A3 (hence A4-A3-A3) and again the export is wrong: the second page is an A4 (instead of being A3)
3. Resized again the second page to A5 (hence A4-A5-A3) and again the export is wrong: the second page is an A4 (instead of being
A5)
4. Keeping the last sizes, exclude also the A5 : result is wrong (I get a third page that is A4 instead of A3)
5. Keeping the last sizes, made the A4 exportable but exclude the A5: result is good (A4 and A3)
6. Excluding page 2 and 3 (keeping only the first page exportable) : result is good

| don't know if i narrowed enough the issue but it looks like excluding the first page of the layout removes it from the export but still applies
its size to the next page to export.

Associated revisions

Revision 5e6eef3e - 2018-10-23 08:41 AM - Nyall Dawson

[layouts] Fix incorrect first page size in multipage layouts when

first page is skipped from output

Fixes #18742

History

#1 - 2018-10-08 01:07 PM - Harrissou Santanna
- Affected QGIS version changed from 3.1(master) to 3.3(master)

Still present and | think the isssue is what | concluded previously:

it looks like excluding the first page of the layout removes it from the export but still applies its size to the next page to export.

Using a layout with all A3 pages but different orientations, | need a PDF per page instead of a PDF for the whole layout so had to manually iteratively
exclude pages (#14060 would be a nice feature): the first and excluded page being portrait all the PDF display an A3 portrait paper (including for

landscape layout pages).

#2 - 2018-10-23 07:17 AM - Nyall Dawson
- Assignee set to Nyall Dawson
- Status changed from Open to In Progress

#3 - 2018-10-23 08:40 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|5e6eef3e54d83c0bc983cd8f8f5f32194b0519fd.
